import { labelVariants } from "./variants"

import type { LabelProps } from "./label"

export default function Label({
  children,
  className,
  required,
  size,
}: LabelProps) {
  const classNames = labelVariants({
    className,
    size,
    required,
  })

  return <span className={classNames}>{children}</span>
}
